#include "..\include\vars.h"

// 01b=8b ok! / 10b=16b ok! / 11b=8b & 16b ok! / 00b= error!
int Verify(void)
{ static byte b1,b2;
  static word i;
  b1=b2=0;

#ifdef TraceDebug
  TraceFic=open("DefCoN#2.dbg",O_WRONLY|O_TEXT|O_CREAT);
  Trace(TraceFic, "Beging Debug Tracing","\n");
#endif

printf("-=[ DefCoN Mag #2 V%s ]=- Final release: 04/98 -=[ Using K!Video V%s ]=-\n"
       "Scanning For Video Card...\n\n",DFKver,KVversion);

   _8bOk=(SearchMode(640,480, 8));
  _16bOk=(SearchMode(640,480,15));

  if (_8bOk) { printf("Mode 640x480x8b Found!\n"); b1=1; }   // 01b
else printf("Argh! If I can't get 640x480x8b mode, you won't be abble to read DefCoN Mag #2!!\n");
  if (_16bOk) { printf("Mode 640x480x15b Found!\n\n"); b2=2; } // 10b
else printf("Argh! No 640x480x15b mode... Must Skip the Intro!\n");


  GammaCorrect=100;

  return (b1|b2);
}

void InitSnd(void)
{ if (!ForceNoSound)
   { printf("Init Useless System Module Player V1.1\n");
    if (DEV_IRQ!=255 && DEV_DMA!=255)
     printf("Using Output device: %s at A%X I%X D%X\n",
             DEV_Name,DEV_BasePort,DEV_IRQ,DEV_DMA);
    else
     printf("Using Output device: %s at A%X\n",DEV_Name,DEV_BasePort);
     printf("\nLoading Modules:\n"
            "    \"SE7EN\" by Dune / Orange\n");
        pMusic01= S3M_Load(LM_File,0x020202020,&fMusic01);

     printf("    \"Canonizer\" by Alexel / RealTech\n");
        pMusic02=  XM_Load(LM_File,0x020202020,&fMusic02);

     printf("    \"Definitely Convinced\" by Snes / PlayMobil & Traven / Syndrome\n");
        pMusic03=  XM_Load(LM_File,0x020202020,&fMusic03);

     printf("    \"Too Far Away\" by Jogeir / Pulse\n");
        pMusic04=  XM_Load(LM_File,0x020202020,&fMusic04);

     printf("    \"Murder\" by PLi$CaNN / K!Prod\n");
        pMusic05=  XM_Load(LM_File,0x020202020,&fMusic05);
   }
   else
    printf("You Select NoSound... So we don't load any modules ...\n");

   if (ForceSoundSetup)   printf("Sound Setup Mode engaged\n");
   if (ForceNoSound)      printf("No Sound Mode engaged\n");
   if (ForceNoLFBOpt)     printf("LFB Optimizatons disabled\n");
   if (ForceNoClip)       printf("Clipping Optimizatons disabled\n");
   if (ForceSkipIntro)    printf("Skip Intro Mode engaged\n");

  #ifndef DirectKey
   InitKey();
  #endif

  timer_count=0;
  Timer_Start(&timer,TimerSpeed*10/598);

 if (!ForceNoSound) { NumZic=255; JoueModule( 1 ); }
}

void Init8b(void)
{ SelectMode(640,480,8);
  Vbuf=(char *)malloc(640*480);
  Vtmp=(char *)malloc(640*480);
  Tbuf=NULL;
   #ifndef DEBUG_ON
     SetMode();
   #endif
#ifdef TraceDebug
   Trace(TraceFic, "Init8b Ok!","\n");
#endif
}

void DeInit(void)
{ int aks;
  free(Vtmp); free(Vbuf);     if (Tbuf!=NULL) free(Tbuf);

#ifdef TraceDebug
 Trace(TraceFic, "DeInit Ok!","\n");
 close(TraceFic);
#endif

    #ifndef DirectKey
      OldKeyb();
    #endif

   Timer_Stop(&timer);

if (!ForceNoSound)
   { USMP_StopPlay();
     USMP_FreeModule(pMusic01);
     USMP_FreeModule(pMusic02);
     USMP_FreeModule(pMusic03);
     USMP_FreeModule(pMusic04);
     USMP_FreeModule(pMusic05);
   }
    ModeText();                        // bah.. mode texte
    CloseMode();                       // on ferme le mode (preferable)
    PutAnsi();

   printf("-=[ DefCoN Mag #2 V%s ]=- Final release: 04/98 -=[ Using K!Video V%s ]=-",DFKver,KVversion);
   printf("\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n");
}
