#include "..\include\vars.h"

volatile char DFKver[]="1.3";

volatile int NumZic;
volatile int timer_count;
volatile int framnb;
volatile int OTC;  // Old TimerCount
volatile int TxtFr;       // =1 => FR  / =0 => Ang
volatile int LanDef;      // =1 => default=FR  / =0 => default=Ang

// GraphX
char ZNPic[]         = {"ZIKNAMES.GIF"};
char Effect[][17]    = {"DCN_FX2.GIF",
                        "DCN_FX.GIF",
                        "DCN_FX3.GIF"};
char IntroPic[][17]  = {"PRESENT.GIF",
                        "K!P.TGA",
                        "16BITS.TGA"};
char EditoPic[]      = {"EDITO.GIF"};
char C2GPic[]        = {"CPG.GIF"};
char TLPic[]         = {"TRUELIFE.GIF"};
char ProgPic[]       = {"PROGRAMM.GIF"};
char DelirePic[]     = {"DELIRE.GIF"};
char IntervUPic[]    = {"INTERVU.GIF"};
char EndPic[][17]    = {"SFX.GIF",
                        "GFX.GIF",
                        "END.GIF"};
char MenuSelectPic[] = {"SELECTOR.GIF"};

char MenuPic1[]      = {"MENU_BIG.GIF"};        // Menu general
char MenuItemsPic1[] = {"ITEM_BIG.GIF"};
char MenuPic2[]      = {"MENU_COD.GIF"};        // add-on code
char MenuItemsPic2[] = {"ITEM_COD.GIF"};
char MenuPic3[]      = {"MENU_C2G.GIF"};        // add-on coup de gueule
char MenuItemsPic3[] = {"ITEM_C2G.GIF"};
char MenuPic4[]      = {"MENU_TRU.GIF"};        // add-on TRUELIFE
char MenuItemsPic4[] = {"ITEM_TRU.GIF"};
char MenuPic5[]      = {"MENU_INT.GIF"};        // add-on Interview
char MenuItemsPic5[] = {"ITEM_INT.GIF"};
char MenuPic6[]      = {"MENU_DEL.GIF"};        // add-on Deliroum
char MenuItemsPic6[] = {"ITEM_DEL.GIF"};


// Textes EDITO
byte EditoFr_Ang[7] = {3,0,0,0,0,0,0};
char Editotxt_Fr[]=  {"EDITO_FR.BIN"};
char EditotxtAng[]=  {"EDITOANG.BIN"};

// Textes CODE
byte ProgFr_Ang[6] = {3,3,3,3,3,1};
char Progtxt_Fr[][17] = {"ANTIA_FR.BIN",
                         "DIV_FR.BIN",
                         "GODF_FR.BIN",
                         "RADIX_FR.BIN",
                         "CONC_FR.BIN",
                         "HUFFMAN.BIN"};
char ProgtxtAng[][17] = {"ANTIAANG.BIN",
                         "DIVANG.BIN",
                         "GODFANG.BIN",
                         "RADIXANG.BIN",
                         "CONCANG.BIN",
                         " "};

// Textes Coup De Gueule
byte C2GFr_Ang[5] = {1,1,3,1,1};
char C2Gtxt_Fr[][17] = {"BEUAR.BIN",
                        "COUDGL.BIN",
                        "MATOS_FR.BIN",
                        "MARREU.BIN",
                        "S98JOURN.BIN"};
char C2GtxtAng[][17] = {" ", " ",
                        "MATOSANG.BIN",
                        " ", " "};

// Textes TrueLife
byte TLFr_Ang[9] = {1,3,3,3,1,1,1,1,1};
char TLtxt_Fr[][17] =  {"ALGOL.BIN",
                        "DOS_FR.BIN",
                        "GFX_FR.BIN",
                        "LINAR_FR.BIN",
                        "RESEAU.BIN",
                        "RODEUR.BIN",
                        "S98REP.BIN",
                        "TROTTOIR.BIN",
                        "CREAM.BIN"};
char TLtxtAng[][17] =  {" ",
                        "DOSANG.BIN",
                        "GFXANG.BIN",
                        "LINARANG.BIN",
                        " ", " ", " ", " ", " "};

// Textes Interview
byte IVFr_Ang[7] = {2,2,2,2,2,2,2};
char IVtxt_Fr[][17] =  {" ", " ", " ", " ", " ", " ", " "};
char IVtxtAng[][17] =  {"JUDGE.BIN",
                        "_SHODAN_.BIN",
                        "SKAL.BIN",
                        "TOSHI.BIN",
                        "UNR_PROB.BIN",
                        "VECKO.BIN",
                        "XMAN.BIN"};

// textes DELIRE
byte DELFr_Ang[8] = { 3,1,1,1,1,1,1,1 };
char DELtxt_Fr[][17] = {"LINUX_FR.BIN",
                        "BLAGUES.BIN",
                        "CHIER.BIN",
                        "RECOUPE.BIN",
                        "VIDE.BIN",
                        "SOCIETE.BIN",
                        "SEMANTIK.BIN",
                        "DEMOFR.BIN"};
char DELtxtAng[][17] = {"LINUXANG.BIN",
                        " ", " ", " ", " ", " ", " "};

// Musiques
char fMusic01[] = "ZICS\\7.S3M";
char fMusic02[] = "ZICS\\ALX-CANO.XM";
char fMusic03[] = "ZICS\\DEFINITE.XM";
char fMusic04[] = "ZICS\\FARAWAY.XM";
char fMusic05[] = "ZICS\\MURDER.XM";

USM *pMusic01;
USM *pMusic02;
USM *pMusic03;
USM *pMusic04;
USM *pMusic05;

#ifndef NULL
#define NULL 0L
#endif

#define PPC 18

byte _8bOk, _16bOk;

char *Tbuf;
long Tlen;
unsigned int nblig, llen, psize, LpP,PixParpage; // plein de variables
int CurPos;
short XTxt, YTxt;
byte ColTxt;

char *Vbuf, *Vtmp, *ZNPtr;
byte pal[768];
byte pal2[768];
int *Map;

//#ifdef TraceDebug
volatile int TraceFic;
//#endif

 // Variables pour la ligne de commande!
volatile byte ForceSoundSetup=0;
volatile byte ForceSkipIntro=0;
volatile byte ForceNoSound=0;
volatile byte ForceNoLFBOpt=0;
volatile byte ForceNoClip=0;

int GammaCorrect;
