.386P
.Model Flat

locals
   public PutPageTexte
;   public ConvertTGA2RAW
   public ConvertPal2RGB
   public CopyPictEffect
   public CopyMenuItem
   public CopyZone
   public CopyMapZone
   public IsWin
   public WaitVbl2
   public PutAnsi
   public AddPict
;   public UnCrounch  ;)

.DATA
align 4
include ..\asm\Font6.inc
align 4
include ..\asm\DefCoN#2.inc

align 4
hautCpt        dd ?
Ligsuiv        dd ?
CalculatedPal  dw 256 dup (0)

.CODE
; ***************************************************************************
; ************ Warning !!!! Ne marche k'en 640x480x8b !!!! ******************
; ***************************************************************************
; Ne verifie pas si le texte est fini... doit etre gr avant!
; Si clipping=0 ou 16 => ???
; Si c'est la fin du texte => ??? prevoir TOUJOURS une ligne finale VIDE ???

SB2L  equ 18-16
align 4
CurrentScreenAdr     dd ?
CurrentTexteAdr      dd ?
FirstLigCarSuiv      dd ?
LastLigCarSuiv       dd ?
FirstLigHeight       dd ?

PutPageTexte proc
   push    ebp
   mov     ebp,esp
   pushad
ARG DPtr:DWORD,X:DWORD,Y:DWORD,Col:DWORD,TxtPtr:Dword,LLen:DWORD,NbLig:DWORD,Scroll:DWORD

   mov eax,[Scroll]
   imul eax,640
   sub eax,8
   mov [LastLigCarSuiv],eax      ; (Clipp*640)-8  (compense en dessous)
   mov ebx,640*16-8-8            ; 640*[hauteur char]-8(cf dessus)-8(char suiv)
   sub ebx,eax
   mov [FirstLigCarSuiv],ebx     ; ((Hauteur d'un char - taille clip)*640)-8

   mov ecx,16                    ; hauteur=16
   sub ecx,[Scroll]              ; moins le clipping
   mov [FirstLigHeight],ecx

   mov edi,[DPtr]
   mov eax,[Y]
   add edi,[X]
   imul eax,640
   mov ebx,[TxtPtr]
   add edi,eax
   mov [CurrentTexteAdr],ebx     ; on sauve la pos dans le texte
   mov [CurrentScreenAdr],edi    ; on sauve l'adr
   xor eax,eax
   mov edx,[Col]

; EDI pointe sur l'adresse ecran ou poser notre texte
; ESI sur la fonte avec laquelle on va afficher notr texte
; EBX sur le texte a afficher

  cmp [Scroll],0                 ; Si Scroll = 0 -> saute la gestion du clipping
  jbe @LineLoop_B

  cmp [Scroll],16                ; Si Scroll <16 -> On s'occupe du clipping
  jb  @LineLoop_F
  mov eax,SB2L+16
  sub eax,[Scroll]
  imul eax,640
  add edi,eax                    ; sinon, on rajoute des trucs
  add ebx,[LLen]                 ; et on passe directos a la ligne suivante
  mov [CurrentScreenAdr],edi     ; Pis on resauve
  mov [CurrentTexteAdr],ebx      ; Et On resauve
  jmp @LineLoop_B

align 4
@LineLoop_F:                     ; First Ligne
   xor eax,eax
   mov al,[EBX]                  ; charge le char dans eax
   or al,al    ; test ?? est mieux ??
   jz @LigneFini_F               ; si c'est 0 c'est la fin de la ligne
   mov esi,offset Fnt
   shl eax,4                     ; sinon on calcule sa pos dans la fonte
   add esi,[Scroll]              ; pour le clipping de la premiere ligne
   add esi,eax
   mov ecx,[FirstLigHeight]      ; hauteur=16

align 4
@AffChar_F:
   mov al,[ESI]
   or al,al    ; test ?? est mieux ??
   jnz short @TrucAAfficher_F
   add edi,640             ; Si la valeur est nulle on passe a la ligne suivante
   inc esi
   dec cl                        ; une ligne de pix de moins
   jnz short @AffChar_F          ; juska plus de ligne de pix
   inc ebx
   sub edi,[FirstLigCarSuiv]     ; on remonte un peu a cote du caractere affiche
   jmp short @LineLoop_F         ; on continue...

align 4
@TrucAAfficher_F:
   shl al,1             ;(S=2)
   jnc short @NoPix_F1  ;(S=2)   ; on teste bit a bit la fonte
   mov [EDI],dl         ;(S=3)   ; et on dessine un pix si il le faut
   nop                  ;(S=1)
@NoPix_F1:
   shl al,1             ;(S=2)
   jnc short @NoPix_F2  ;(S=2)   ; on teste bit a bit la fonte
   mov [EDI+1],dl       ;(S=4)   ; et on dessine un pix si il le faut
@NoPix_F2:
   shl al,1
   jnc short @NoPix_F3           ; on teste bit a bit la fonte
   mov [EDI+2],dl                ; et on dessine un pix si il le faut
@NoPix_F3:
   shl al,1
   jnc short @NoPix_F4           ; on teste bit a bit la fonte
   mov [EDI+3],dl                ; et on dessine un pix si il le faut
@NoPix_F4:
   shl al,1
   jnc short @NoPix_F5           ; on teste bit a bit la fonte
   mov [EDI+4],dl                ; et on dessine un pix si il le faut
@NoPix_F5:
   shl al,1
   jnc short @NoPix_F6           ; on teste bit a bit la fonte
   mov [EDI+5],dl                ; et on dessine un pix si il le faut
@NoPix_F6:
   shl al,1
   jnc short @NoPix_F7           ; on teste bit a bit la fonte
   mov [EDI+6],dl                ; et on dessine un pix si il le faut
@NoPix_F7:
   shl al,1
   jnc short @NoPix_F8           ; on teste bit a bit la fonte
   mov [EDI+7],dl                ; et on dessine un pix si il le faut
@NoPix_F8:

   add edi,640  ;-8              ; On passe a la ligne de pix suivante
   inc esi
   dec cl                        ; une ligne de pix de moins
   jnz short @AffChar_F          ; juska plus de ligne de pix
   inc ebx
   sub edi,[FirstLigCarSuiv]     ; on remonte un peu a cote du caractere affiche
   jmp @LineLoop_F               ; on continue...

align 4
@LigneFini_F:
   dec [NbLig]

   mov edi,[CurrentScreenAdr]    ; On recup' l'adresse de pos de la chaine de caract
   add edi,[FirstLigCarSuiv]
   add edi,(SB2L*640)+8          ; on passe a une ligne de carac suivante [(16+sb2l) pix]
   mov [CurrentScreenAdr],edi    ; Pis on resauve

   mov ebx,[CurrentTexteAdr]     ; On recupere la pos dans le texte
   add ebx,[LLen]                ; on ajoute la longueur d'une ligne en memoire
   mov [CurrentTexteAdr],ebx     ; Et On resauve

align 4
@LineLoop_B:
   xor eax,eax
   mov al,[EBX]                  ; charge le char dans eax
   or al,al    ; test ?? est mieux ??
   jz @LigneFini_B               ; si c'est 0 c'est la fin de la ligne
   mov esi,offset Fnt
   shl eax,4                     ; sinon on calcule sa pos dans la fonte
   mov cl,16                     ; hauteur=16
   add esi,eax

align 4
@AffChar_B:
   mov al,[ESI]
   or al,al    ; test ??? est mieux ??
   jnz short @TrucAAfficher_B
   add edi,640             ; Si la valeur est nulle on passe a la ligne suivante
   inc esi
   dec cl                        ; une ligne de pix de moins
   jnz short @AffChar_B          ; juska plus de ligne de pix
   inc ebx
   sub edi,640*16-8              ; on remonte un peu a cote du caractere affiche
   jmp short @LineLoop_B         ; on continue...

align 4
@TrucAAfficher_B:
   shl al,1
   jnc short @NoPix_B1           ; on teste bit a bit la fonte
   mov [EDI],dl                  ; et on dessine un pix si il le faut
   nop
@NoPix_B1:
   shl al,1
   jnc short @NoPix_B2           ; on teste bit a bit la fonte
   mov [EDI+1],dl                ; et on dessine un pix si il le faut
@NoPix_B2:
   shl al,1
   jnc short @NoPix_B3           ; on teste bit a bit la fonte
   mov [EDI+2],dl                ; et on dessine un pix si il le faut
@NoPix_B3:
   shl al,1
   jnc short @NoPix_B4           ; on teste bit a bit la fonte
   mov [EDI+3],dl                ; et on dessine un pix si il le faut
@NoPix_B4:
   shl al,1
   jnc short @NoPix_B5           ; on teste bit a bit la fonte
   mov [EDI+4],dl                ; et on dessine un pix si il le faut
@NoPix_B5:
   shl al,1
   jnc short @NoPix_B6           ; on teste bit a bit la fonte
   mov [EDI+5],dl                ; et on dessine un pix si il le faut
@NoPix_B6:
   shl al,1
   jnc short @NoPix_B7           ; on teste bit a bit la fonte
   mov [EDI+6],dl                ; et on dessine un pix si il le faut
@NoPix_B7:
   shl al,1
   jnc short @NoPix_B8           ; on teste bit a bit la fonte
   mov [EDI+7],dl                ; et on dessine un pix si il le faut
@NoPix_B8:

   add edi,640 ;-8               ; On passe a la ligne de pix suivante
   inc esi
   dec cl                        ; une ligne de pix de moins
   jnz short @AffChar_B          ; juska plus de ligne de pix
   inc ebx
   sub edi,640*16-8              ; on remonte un peu a cote du caractere affiche
   jmp @LineLoop_B               ; on continue...

align 4
@LigneFini_B:
   mov edi,[CurrentScreenAdr]    ; On recup' l'adresse de pos de la chaine de caract
   add edi,(16+SB2L)*640         ; on passe a une ligne de carac suivante [(16+sb2l) pix]
   mov [CurrentScreenAdr],edi    ; Pis on resauve

   mov ebx,[CurrentTexteAdr]     ; On recupere la pos dans le texte
   add ebx,[LLen]                ; on ajoute la longueur d'une ligne en memoire
   mov [CurrentTexteAdr],ebx     ; Et On resauve

   dec [NbLig]                   ; Une ligne de moins
   jnz @LineLoop_B               ;   jnz @MainLoop_B

  cmp [Scroll],0                 ; Si scroll = 0 -> saute la gestion du clipping
  jbe @LigneFini_L
  cmp [Scroll],16                ; Si Scroll =16 -> saute la gestion du clipping
  jae @LigneFini_L

align 4
@LineLoop_L:                     ; Last Ligne
   xor eax,eax
   mov al,[EBX]                  ; charge le char dans eax
   or al,al    ; test ?? est mieux ??
   jz @LigneFini_L               ; si c'est 0 c'est la fin de la ligne
   mov esi,offset Fnt
   shl eax,4                     ; sinon on calcule sa pos dans la fonte
   mov ecx,[Scroll]              ; hauteur=scroll -> ce kil manque a la premiere ligne
   add esi,eax

align 4
@AffChar_L:
   mov al,[ESI]
   or al,al    ; test ??? est mieux ??
   jnz short @TrucAAfficher_L
   add edi,640             ; Si la valeur est nulle on passe a la ligne suivante
   inc esi
   dec cl                        ; une ligne de pix de moins
   jnz short @AffChar_L          ; juska plus de ligne de pix
   inc ebx
   sub edi,[LastLigCarSuiv]      ; on remonte un peu a cote du caractere affiche
   jmp short @LineLoop_L         ; on continue...

align 4
@TrucAAfficher_L:
   shl al,1
   jnc short @NoPix_L1           ; on teste bit a bit la fonte
   mov [EDI],dl                  ; et on dessine un pix si il le faut
   nop
@NoPix_L1:
   shl al,1
   jnc short @NoPix_L2           ; on teste bit a bit la fonte
   mov [EDI+1],dl                ; et on dessine un pix si il le faut
@NoPix_L2:
   shl al,1
   jnc short @NoPix_L3           ; on teste bit a bit la fonte
   mov [EDI+2],dl                ; et on dessine un pix si il le faut
@NoPix_L3:
   shl al,1
   jnc short @NoPix_L4           ; on teste bit a bit la fonte
   mov [EDI+3],dl                ; et on dessine un pix si il le faut
@NoPix_L4:
   shl al,1
   jnc short @NoPix_L5           ; on teste bit a bit la fonte
   mov [EDI+4],dl                ; et on dessine un pix si il le faut
@NoPix_L5:
   shl al,1
   jnc short @NoPix_L6           ; on teste bit a bit la fonte
   mov [EDI+5],dl                ; et on dessine un pix si il le faut
@NoPix_L6:
   shl al,1
   jnc short @NoPix_L7           ; on teste bit a bit la fonte
   mov [EDI+6],dl                ; et on dessine un pix si il le faut
@NoPix_L7:
   shl al,1
   jnc short @NoPix_L8           ; on teste bit a bit la fonte
   mov [EDI+7],dl                ; et on dessine un pix si il le faut
@NoPix_L8:

   add edi,640 ;-8               ; On passe a la ligne de pix suivante
   inc esi
   dec cl                        ; une ligne de pix de moins
   jnz short @AffChar_L          ; juska plus de ligne de pix
   inc ebx
   sub edi,[LastLigCarSuiv]      ; on remonte un peu a cote du caractere affiche
   jmp @LineLoop_L               ; on continue...

align 4
@LigneFini_L:
   popad
   mov     esp,ebp
   pop     ebp
   ret
PutPageTexte endp


;align 4
;ConvertTGA2RAW proc
;   push    ebp
;   mov     ebp,esp
;   pushad
;   ARG Source:DWORD, Dest:DWORD, larg:DWORD, haut:DWORD
;
;   xor edx,edx
;   mov eax,[haut]
;   dec eax
;   imul eax,[larg]            ; eax=larg*(haut-1)=taille ecran
;   shl eax,1
;
;   Mov ESI,[Source]           ;   Source
;   add esi,eax                ; + taille ecran
;
;   Mov EDI,[Dest]             ; destination
;   xor eax,eax
;
;   Mov Ecx,[haut]
;   mov [hautCpt],ecx          ; Compteur du nb de lignes restantes
;
;   mov ecx,[larg]
;
;   mov edx,ecx
;   shl edx,2       ; => edx=2*(larg*2)
;
;align 4
;@convloop:
;   mov ax,[ESI]
;   mov [EDI],ax
;   add edi,2
;   add esi,2
;   dec ecx
;   jnz @convloop
;
;   mov ecx,[larg]
;   sub esi,edx
;
;   dec dword ptr [hautCpt]
;   jnz @convloop
;
;
;   popad
;   mov     esp,ebp
;   pop     ebp
;   ret
;ConvertTGA2RAW endp

align 4
ConvertPal2RGB proc
        push    ebp
        mov     ebp,esp
        pushad
        ARG Source:DWORD, Destination:DWORD, Pal:DWORD, Len:DWORD

; On va d'abord calculer l'equivalence des couleurs
        mov ESI,[Pal]
        mov EDI,offset CalculatedPal
        mov ecx,256

align 4
@GenPal:
        xor eax,eax        ; EAX=0
        mov al,[ESI]       ; EAX=Composante Rouge
        shr al,1           ; /2 (6b -> 5b)
        mov ebx,eax        ; EBX=EAX
        shl ebx,5          ; Hop! 5bits plus haut
        mov al,[ESI+1]     ; EAX=Composante Verte
        shr al,1           ; /2 (6b -> 5b)
        or ebx,eax         ; on prend en compte cette composante
        shl ebx,5          ; Hop! 5bits plus haut
        mov al,[ESI+2]     ; EAX=Composante Verte
        shr al,1           ; /2 (6b -> 5b)
        or ebx,eax         ; on prend en compte cette composante
        mov [EDI],bx
        add ESI,3          ; Stylo suivant
        add EDI,2          ; Correspondance suivante
        dec cx             ; un de moins
        jnz @GenPal

 mov esi,[Source]
 mov edi,[Destination]

        mov ecx,[Len]
;        mov edx,offset CalculatedPal
        xor ebx,ebx

align 4
@Convert2RGB:
        mov bl,[ESI]
        mov ax,[offset CalculatedPal+EBX*2]
        inc ESI
        mov [EDI],ax

        add EDI,2

        dec ecx
        jnz @Convert2RGB

        popad
        mov     esp,ebp
        pop     ebp
        ret
ConvertPal2RGB endp

align 4
X_FX dd ?
Y_FX dd ?
CopyPictEffect proc
        push    ebp
        mov     ebp,esp
        pushad
        ARG Source:DWORD, Dest:DWORD, Map:DWORD, Col1:DWORD, Col2:DWORD

        mov esi,[Source]   ; Source
        mov edi,[Dest]     ; Dest
        Mov ebx,[Map]      ; FX Map
        xor EDX,EDX        ; Index=0

        mov eax,[Col1]
        cmp eax,[Col2]
        je @OneColFX       ; si c'est egal, je gere plousse viteux

        mov [Y_FX],240     ; Ypos sur la MAp
align 4
@Y_CopyEffectLoop1:
        mov [X_FX],320     ; Xpos sur la Map
align 4
@X_CopyEffectLoop1:
        mov al,[EBX]
        cmp al,byte ptr [Col1]
        jb  @paspose1               ; si col<Col1 on s'en fout
        cmp al,byte ptr [Col2]
        ja  @paspose1               ; si col>Col2 on s'en fout
        mov eax,[ESI+EDX]           ; hop! on lit 2 pix a [index]
        mov ecx,[ESI+EDX+(640*2)]   ; hop! on lit 2 pix a [index+1Y]
        mov [EDI+EDX],eax           ; On pose
        mov [EDI+EDX+(640*2)],ecx   ; On pose enkore
align 4
@paspose1:
        inc EBX                     ; Pointer sur la Map
        add EDX,4                     ; Index
        dec dword ptr [X_FX]
        jnz @X_CopyEffectLoop1

        add EDX,640*2
        dec dword ptr [Y_FX]
        jnz @Y_CopyEffectLoop1

        popad
        mov     esp,ebp
        pop     ebp
        ret

@OneColFX:
        mov [Y_FX],240     ; Ypos sur la MAp
align 4
@Y_CopyEffectLoop:
        mov [X_FX],320     ; Xpos sur la Map
align 4
@X_CopyEffectLoop:
        mov al,[EBX]
        cmp al,byte ptr [Col1]
        jnz @paspose
        mov eax,[ESI+EDX]           ; hop! on lit 2 pix a [index]
        mov ecx,[ESI+EDX+(640*2)]   ; hop! on lit 2 pix a [index+1Y]
        mov [EDI+EDX],eax           ; On pose
        mov [EDI+EDX+(640*2)],ecx   ; On pose enkore
align 4
@paspose:
        inc EBX                     ; Pointer sur la Map
        add EDX,4                     ; Index
        dec dword ptr [X_FX]
        jnz @X_CopyEffectLoop

        add EDX,640*2
        dec dword ptr [Y_FX]
        jnz @Y_CopyEffectLoop

        popad
        mov     esp,ebp
        pop     ebp
        ret
CopyPictEffect endp

IsWin proc
        mov ax,160Ah                    ; quelle est la version de win ?
        int 2Fh
        or al,al                        ; 
        jz @Error                       ; Il me repond en plus !!!
        Xor eax,eax                     ; KASSE TOA !
        ret
@Error:
        Mov eax,1                       ; Bah, on sait po! 
        ret                             ; Il n'y est donc pas
IsWin endp

align 4
CopyMenuItem proc
        push    ebp
        mov     ebp,esp
        pushad
 ARG Src:DWORD, Dest:DWORD, Larg:DWORD, Haut:DWORD, PosX: DWORD, PosY:DWORD

        xor edx,edx
        mov eax,[PosY]
        imul eax,640
        mov esi,[Src]
        add eax,[PosX]
        mov edi,[Dest]
        add edi,eax              ; ESI=Source / EDI=Dest+y*larg+x

        Mov Ecx,[haut]
        mov [hautCpt],ecx          ; Compteur du nb de lignes restantes
        mov edx,[Larg]
        mov ecx,640
        sub ecx,edx                 ; ecx=entre2lignes
        shr edx,2                   ; edx=larg / 4

@CopyMIHaut:
        mov ebx,edx                 ; ebx=edx=largeur
@CopyMILarg:
        mov eax,[ESI]               ; on lit 4 Pix
        or eax,eax
        jnz @PoseMoiCa              ; = 0 ??
        add esi,4                   ; oui! alors on saute 4 pix
        add edi,4
        dec ebx                     ; ca fait donc une serie de 4 de moins
        jnz @CopyMILarg

        add edi,ecx                 ; ligne suivant
        dec dword ptr [hautCpt]     ; une ligne de moins
        jnz @CopyMIHaut             ; bah c'est pas fini ??
        popad
        mov     esp,ebp
        pop     ebp
        ret

@PoseMoiCa:
        or al,al                       ; premier pix <> 0 ?
        jz @Saute_1
        mov [EDI],al                   ; oui? on pose!
@Saute_1:
        or ah,ah                       ; 2e pix <> 0 ?
        jz @Saute_2
        mov [EDI+1],ah                 ; oui? on pose !
@Saute_2:
        shr eax,16
        or al,al                       ; 2e pix <> 0 ?
        jz @Saute_3
        mov [EDI+2],al                 ; oui? on pose !
@Saute_3:
        or ah,ah                       ; 2e pix <> 0 ?
        jz @Saute_4
        mov [EDI+3],ah                 ; oui? on pose !
@Saute_4:

        add esi,4
        add edi,4
        dec ebx                     ; ca fait donc une serie de 4 de moins
        jnz @CopyMILarg

        add edi,ecx                 ; ligne suivant
        dec dword ptr [hautCpt]     ; une ligne de moins
        jnz @CopyMIHaut             ; bah c'est pas fini ??
        popad
        mov     esp,ebp
        pop     ebp
        ret
CopyMenuItem endp

; copyzone(src,dest,larg,haut,PosX,PosY); 
align 4
CopyZone proc
        push    ebp
        mov     ebp,esp
        pushad
 ARG Src:DWORD, Dest:DWORD, Larg:DWORD, Haut:DWORD, PosX: DWORD, PosY:DWORD

        xor edx,edx
        mov ebx,[PosY]
        imul ebx,640
        add ebx,[PosX]

        mov esi,[Src]
        mov edi,[Dest]

        Mov Ecx,[haut]
        mov [hautCpt],ecx          ; Compteur du nb de lignes restantes
        mov edx,[Larg]
        mov ecx,640
        sub ecx,edx                 ; ecx=entre2lignes
        mov [Ligsuiv],ecx
        shr edx,2                   ; edx=larg / 4

@CopyZHaut:
        mov ecx,edx                 ; ecx=edx=largeur
@CopyZLarg:
        mov eax,[ESI+ebx]
        mov [EDI+ebx],eax
        add ebx,4
        dec ecx 
        jnz @CopyZLarg

        add ebx,[Ligsuiv]           ; ligne suivant
        dec dword ptr [hautCpt]     ; une ligne de moins
        jnz @CopyZHaut             ; bah c'est pas fini ??

        popad
        mov     esp,ebp
        pop     ebp
        ret
CopyZone endp

align 4
CurMap dd ?
CopyMapZone proc
        push    ebp
        mov     ebp,esp
        pushad
 ARG Src:DWORD, Dest:DWORD, Map:DWORD

        mov esi,[Src]
        mov edi,[Dest]
        mov ebx,[Map]

align 4
@CopyMZLoop:
        mov [CurMap],ebx
        mov edx,[ebx]               ; edx=adresse de debut
        or edx,edx
        jz @CMZFIN
        mov ecx,[ebx+4]             ; ecx=longueur a copier

        mov ebx,ecx
        cmp ecx,10
        jna @CopyMZPostLine

        mov eax,edx     ; eax=source
        mov ebx,4       ; ebx=4
        and eax,011b    ; eax=source&011b
        sub ebx,eax     ; ebx=4-source (modulo4)
        and ebx,011b    ; ebx=ebx&011b
; src=0 -> ebx=0 / src=1 -> ebx=3 / src=2 -> ebx=2 / src=3 -> ebx=1  

        or ebx,ebx
        jz @CopyMZPreLineFIN

        sub ecx,ebx		; BIZARRE NON ???? verifier si la merde de l'edito c'est pas ca!!

align 4
@CopyMZPreLine:
        mov al,[ESI+edx]            ; je lis 1 pix
        mov [EDI+edx],al            ; j'ecris 1pix
        inc edx                     ; hop! on passe au suivant
        dec ebx
        jnz @CopyMZPreLine

align 4
@CopyMZPreLineFIN:
        mov ebx,ecx
        shr ecx,2
        and ebx,011b

align 4
@CopyMZLine:
        mov eax,[ESI+edx]            ; je lis 1 pix
        mov [EDI+edx],eax            ; j'ecris 1pix
        add edx,4                   ; hop! on passe au suivant
        dec ecx
        jnz @CopyMZLine

        or ebx,ebx
        jz @CopyMZPostLineFIN
align 4
@CopyMZPostLine:
        mov al,[ESI+edx]            ; je lis 1 pix
        mov [EDI+edx],al            ; j'ecris 1pix
        inc edx                     ; hop! on passe au suivant
        dec ebx
        jnz @CopyMZPostLine

align 4
@CopyMZPostLineFIN:
        mov ebx,[CurMap]
        add ebx,8
        jmp short @CopyMZLoop

align 4
@CMZFIN:
        popad
        mov     esp,ebp
        pop     ebp
        ret
CopyMapZone endp


AddPict  proc
        push    ebp
        mov     ebp,esp
        pushad
        ARG     Source:DWORD, Dest:DWORD,  Len:DWORD, Col:DWORD

        mov esi,[Source]
        mov edi,[Dest]
        mov ecx,[Len]
        mov al,byte ptr [Col]
        mov ah,al
        mov bx,ax
        shl ebx,16	; BSWAP EBX ???
        mov bx,ax
        shr ecx,2                      ; ecx=longueur d'1 ecran 640*480/4
align 4
@MainLoop:
        mov eax,[ESI]
        cmp eax,ebx
        jne @PoseLesPixs
        add esi,4
        add edi,4
        dec ecx
        jnz @MainLoop
        popad
        mov esp,ebp
        pop ebp
        ret

@PoseLesPixs:
        cmp al,bl
        je @GoPix2
        Mov [EDI],al
@GoPix2:
        cmp ah,bl
        je @GoPix3
        Mov [EDI+1],ah
@GoPix3:
        shr eax,16
        cmp al,bl
        je @GoPix4
        Mov [EDI+2],al
@GoPix4:
        cmp ah,bl
        je @GoPixFin
        Mov [EDI+3],ah
@GoPixFin:
        add esi,4
        add edi,4
        dec ecx
        jnz @MainLoop
        popad
        mov esp,ebp
        pop ebp
        ret
AddPict endp

align 4
WaitVbl2 proc
       push eax edx
        mov   dx,3DAh
@label1:
        in    al,dx
        and   al,08h
        jz   @label1
@label2:
        in    al,dx
        and   al,08h
        jnz    @label2
       pop edx eax
        ret
WaitVbl2 endp

PutAnsi proc
       pushad
        mov ESI,offset AnsiPic
        mov edi,0B8000h
        mov ecx,18*80*2/4
        rep movsd
       popad
       ret
PutAnsi endp

;UnCrounch proc
;     push    ebp
;     mov     ebp,esp
;     pushad
;     ARG  Source:DWORD, Len:DWORD, Value:DWORD
;
;      mov ESI,[Source]
;      mov ecx,[Len]
;      mov eax,[Value]
;      mov ah,al
;
;@ThisIsALoop:
;      mov al,[ESI]
;      sub al,ah
;      mov [ESI],al
;      inc esi
;      dec ecx
;      jnz @ThisIsALoop
;
;     popad
;     mov     esp,ebp
;     pop     ebp
;     ret
;UnCrounch endp
   
end
