#include "..\include\vars.h"

volatile int NumZic;
volatile int timer_count;
volatile int framnb;
volatile int OTC;  // Old TimerCount
volatile int TxtFr;       // =1 => FR  / =0 => Ang
volatile int LanDef;      // =1 => default=FR  / =0 => default=Ang

// GraphX
char Effect[][17]    = {"GFX\\DCN_FX2.GIF",
                        "GFX\\DCN_FX.GIF",
                        "GFX\\DCN_FX3.GIF"};
char IntroPic[][17]  = {"GFX\\PRESENT.GIF",
                        "GFX\\K!P.TGA",
                        "GFX\\16BITS.TGA"};
char EditoPic[]      = {"GFX\\EDITO.GIF"};
char C2GPic[]        = {"GFX\\CPG.GIF"};
char TLPic[]         = {"GFX\\TRUELIFE.GIF"};
char ProgPic[]       = {"GFX\\PROGRAMM.GIF"};
char DelirePic[]     = {"GFX\\DELIRE.GIF"};
char IntervUPic[]    = {"GFX\\INTERVU.GIF"};
char EndPic[]        = {"GFX\\END.GIF"};
char MenuSelectPic[] = {"GFX\\SELECTOR.GIF"};

char MenuPic1[]      = {"GFX\\MENU_BIG.GIF"};        // Menu general
char MenuItemsPic1[] = {"GFX\\ITEM_BIG.GIF"};
char MenuPic2[]      = {"GFX\\MENU_COD.GIF"};        // add-on code
char MenuItemsPic2[] = {"GFX\\ITEM_COD.GIF"};
char MenuPic3[]      = {"GFX\\MENU_C2G.GIF"};        // add-on coup de gueule
char MenuItemsPic3[] = {"GFX\\ITEM_C2G.GIF"};
char MenuPic4[]      = {"GFX\\MENU_TRU.GIF"};        // add-on TRUELIFE
char MenuItemsPic4[] = {"GFX\\ITEM_TRU.GIF"};
char MenuPic5[]      = {"GFX\\MENU_INT.GIF"};        // add-on Interview
char MenuItemsPic5[] = {"GFX\\ITEM_INT.GIF"};
char MenuPic6[]      = {"GFX\\MENU_DEL.GIF"};        // add-on Deliroum
char MenuItemsPic6[] = {"GFX\\ITEM_DEL.GIF"};


// Textes EDITO
byte EditoFr_Ang[7] = {3,0,0,0,0,0,0};
char Editotxt_Fr[]=  {"TXT\\EDITO_FR.BIN"};
char EditotxtAng[]=  {"TXT\\EDITOANG.BIN"};

// Textes CODE
byte ProgFr_Ang[5] = {1,3,1,3,3};
char Progtxt_Fr[][17] = {"TXT\\ANTI-A.BIN",
                         "TXT\\DIV_FR.BIN",
                         "TXT\\GODFROY.BIN",
                         "TXT\\RADIX_FR.BIN",
                         "TXT\\CONC_FR.BIN"};
char ProgtxtAng[][17] = {" ",
                         "TXT\\DIVANG.BIN",
                         " ",
                         "TXT\\RADIXANG.BIN",
                         "TXT\\CONCANG.BIN"};

// Textes Coup De Gueule
byte C2GFr_Ang[5] = {1,1,1,1,1};
char C2Gtxt_Fr[][17] = {"TXT\\BEUAR.BIN",
                        "TXT\\COUDGL.BIN",
                        "TXT\\MATOS.BIN",
                        "TXT\\MARREU.BIN",
                        "TXT\\S98JOURN.BIN"};
char C2GtxtAng[][17] = {" ", " ", " ", " ", " "};

// Textes TrueLife
byte TLFr_Ang[9] = {1,3,3,1,1,1,1,1,1};
char TLtxt_Fr[][17] =  {"TXT\\ALGOL.BIN",
                        "TXT\\DOS_FR.BIN",
                        "TXT\\GFX_FR.BIN",
                        "TXT\\LINUXART.BIN",
                        "TXT\\RESEAU.BIN",
                        "TXT\\RODEUR.BIN",
                        "TXT\\S98REP.BIN",
                        "TXT\\TROTTOIR.BIN",
                        "TXT\\CREAM.BIN"};
char TLtxtAng[][17] =  {" ",
                        "TXT\\DOSANG.BIN",
                        "TXT\\GFXANG.BIN",
                        " ", " ", " ", " ", " ", " "};

// Textes Interview
byte IVFr_Ang[7] = {2,2,2,2,2,2,2};
char IVtxt_Fr[][17] =  {" ", " ", " ", " ", " ", " ", " "};
char IVtxtAng[][17] =  {"TXT\\JUDGE.BIN",
                        "TXT\\_SHODAN_.BIN",
                        "TXT\\SKAL.BIN",
                        "TXT\\TOSHI.BIN",
                        "TXT\\UNR_PROB.BIN",
                        "TXT\\VECKO.BIN",
                        "TXT\\XMAN.BIN"};

// textes DELIRE
byte DELFr_Ang[8] = { 1,1,1,1,1,1,1,1 };
char DELtxt_Fr[][17] = {"TXT\\LINUX2.BIN",
                        "TXT\\BLAGUES.BIN",
                        "TXT\\CHIER.BIN",
                        "TXT\\RECOUPE.BIN",
                        "TXT\\VIDE.BIN",
                        "TXT\\SOCIETE.BIN",
                        "TXT\\SEMANTIK.BIN",
                        "TXT\\DEMOFR.BIN"};
char DELtxtAng[][17] =   {" ", " ", " ", " ", " ", " ", " "};

// Musiques
char fMusic01[] = "ZICS\\7.S3M";
char fMusic02[] = "ZICS\\ALX-CANO.XM";
char fMusic03[] = "ZICS\\DEFINITE.XM";
char fMusic04[] = "ZICS\\FARAWAY.XM";
char fMusic05[] = "ZICS\\MURDER.XM";

USM *pMusic01;
USM *pMusic02;
USM *pMusic03;
USM *pMusic04;
USM *pMusic05;

#ifndef NULL
#define NULL 0L
#endif

#define PPC 18

byte _8bOk, _16bOk;

char *Tbuf;
long Tlen;
unsigned int nblig, llen, psize, LpP,PixParpage; // plein de variables
int CurPos;
short XTxt, YTxt;
byte ColTxt;

char *Vbuf, *Vtmp;
char *ZNamesPtr;
byte pal[768];
byte pal2[768];
int *Map;

//#ifdef TraceDebug
volatile int TraceFic;
//#endif

 // Variables pour la ligne de commande!
volatile byte ForceSoundSetup=0;
volatile byte ForceSkipIntro=0;
volatile byte ForceNoSound=0;
volatile byte ForceNoLFBOpt=0;
volatile byte ForceNoClip=0;

int GammaCorrect;
