#include <stdlib.h>  // _psp definition
#include <stdio.h>
#include <fcntl.h>
#include <string.h>

#include "..\include\K!video.h"
#include "..\include\K!Keyb.h"
#include "..\include\usmp.h"
#include "..\include\exedat.h"

//#define DEBUG_ON
//#define TraceDebug
//#define DirectKey

extern volatile char DFKver[];

extern volatile int NumZic;
extern volatile int timer_count;
extern volatile int framnb;
extern volatile int OTC;  // Old TimerCount
extern volatile int TxtFr;
extern volatile int LanDef;

// GraphX
extern char Effect[][17];
extern char IntroPic[][17];
extern char EditoPic[];
extern char C2GPic[];
extern char TLPic[];
extern char ProgPic[];
extern char DelirePic[];
extern char IntervUPic[];
extern char EndPic[][17];
extern char ZNPic[];
extern char MenuSelectPic[];

extern char MenuPic1[];
extern char MenuItemsPic1[];
extern char MenuPic2[];
extern char MenuItemsPic2[];
extern char MenuPic3[];
extern char MenuItemsPic3[];
extern char MenuPic4[];
extern char MenuItemsPic4[];
extern char MenuPic5[];
extern char MenuItemsPic5[];
extern char MenuPic6[];
extern char MenuItemsPic6[];

extern byte EditoFr_Ang[7];
extern char Editotxt_Fr[];
extern char EditotxtAng[];

extern byte ProgFr_Ang[6];
extern char Progtxt_Fr[][17];
extern char ProgtxtAng[][17];

extern byte C2GFr_Ang[5];
extern char C2Gtxt_Fr[][17];
extern char C2GtxtAng[][17];

extern byte TLFr_Ang[9];
extern char TLtxt_Fr[][17];
extern char TLtxtAng[][17];

extern byte IVFr_Ang[7];
extern char IVtxt_Fr[][17];
extern char IVtxtAng[][17];

extern byte DELFr_Ang[8];
extern char DELtxt_Fr[][17];
extern char DELtxtAng[][17];

// Musiques
extern char fMusic01[];
extern char fMusic02[];
extern char fMusic03[];
extern char fMusic04[];
extern char fMusic05[];

extern USM *pMusic01;
extern USM *pMusic02;
extern USM *pMusic03;
extern USM *pMusic04;
extern USM *pMusic05;

// Masks de copie
extern int m_cpg[];
extern int m_edito[];
extern int m_progra[];
extern int m_trueli[];
extern int m_delire[];

#ifndef NULL
#define NULL 0L
#endif

#define PPC 18

extern byte _8bOk, _16bOk;

extern char *Tbuf;
extern long Tlen;
extern unsigned int nblig, llen, psize, LpP,PixParpage; // plein de variables
extern int CurPos;
extern short XTxt, YTxt;
extern byte ColTxt;

extern char *Vbuf, *Vtmp, *ZNPtr;
extern byte pal[768];
extern byte pal2[768];
extern int *Map;

//#ifdef TraceDebug
  extern volatile int TraceFic;
//#endif

// Variables pour la ligne de commande!
extern volatile byte ForceSoundSetup;
extern volatile byte ForceSkipIntro;
extern volatile byte ForceNoSound;
extern volatile byte ForceNoLFBOpt;
extern volatile byte ForceNoClip;

// Correction Gamma
extern int GammaCorrect;

// All Functions definitions !!!
extern void timer(void);
extern int  ReadGIF87a(byte *nomfic,byte *dest,byte *pal);
extern void pause(void);
extern int  WaitFor(int nbframe, int escape);
extern void MakeGammaCorrect(byte *palt1, byte *palt2);
extern void Trace(int hndle, char dbg1[], char dbg2[]);
extern void TextScroll(char *FileName);
//extern void GetText(char *fichier, int tmp, short Xpos, short Ypos, byte Colpos, int PTR[]);
extern int Verify(void);
extern void Init8b(void);
extern void DeInit(void);
extern void Intro();
extern int MenuDFC(byte FirstItem);
extern void Rubriques(char *fichier, char *PicFile, 
                      int tmp, short Xpos, short Ypos, byte Colpos, int PTR[]);
The_End(void);
void TestZic(int MeNu);
void WaitABit(void);
void ChangeZicNames(int nb);

// external ASM functions
void PutPageTexte(char *DPtr, int X, int Y, int Col, char *TxtPtr, int LLen, int NbLig, int Scroll);
void ConvertTGA2RAW(char *Source, char *Dest, int larg, int haut);
void ConvertPal2RGB(char *Source, char *Dest, byte *Pal, int Len);
void CopyPictEffect(char *Source, char *Dest, char *Map, int Col1, int Col2);
void CopyPictEffect8(char *Source, char *Dest, char *Map, int Col1, int Col2);
void CopyMenuItem(char *Source, char *Dest, int larg, int haut, int PosX, int PosY);
void CopyZone(char *Source, char *Dest, int larg, int haut, int PosX, int PosY);
void CopyMapZone(char *Source, char *Dest, int *Map);
int  IsWin(void);
int  RandoM(void);
void WaitVbl2(void);
//void AddPict(char *Source, char *Dest, int Len, byte Col);
void UnCrounch(char *Source, int Len, byte Value);
